=== debian/control ===
Source: psb-kernel-source
Section: misc
Priority: optional
Maintainer: Ubuntu Mobile Developers <ubuntu-mobile@lists.ubuntu.com>
XSBC-Original-Maintainer: Waldo Bastian <waldo.bastian@intel.com>
Build-Depends: debhelper (>= 7), dpatch, linux-headers-generic [i386 amd64], linux-headers-lpia [lpia], libtool
Standards-Version: 3.8.0

Package: psb-kernel-source
Architecture: all
Depends: dkms, make
Description: Kernel module for the Poulsbo (psb) 2D X11 driver
 This package contains the source for the Poulsbo (psb) 2D X11 driver, and 
 hooks to use DKMS to build it on install.
