## psb-kernel-source 4.42.0-0ubuntu2~1010um5

=== debian/changelog ===
psb-kernel-source (4.42.0-0ubuntu2~1010um5) maverick; urgency=low

  * fixed acpi-video.dpatch III

 -- Luca Forina <luca.forina@gmail.com>  Tue, 25 Nov 2010 14:40:06 +0200

psb-kernel-source (4.42.0-0ubuntu2~1010um4) maverick; urgency=low

  * fixed acpi-video.dpatch II

 -- Luca Forina <luca.forina@gmail.com>  Tue, 24 Nov 2010 14:40:06 +0200
 

psb-kernel-source (4.42.0-0ubuntu2~1010um3) maverick; urgency=low

  * fixed acpi-video.dpatch

 -- Luca Forina <luca.forina@gmail.com>  Tue, 24 Nov 2010 14:30:06 +0200
 

psb-kernel-source (4.42.0-0ubuntu2~1010um2) maverick; urgency=low

  * Activate acpi video's brightness key code patch by Dennis Jansen

 -- Luca Forina <luca.forina@gmail.com>  Tue, 24 Nov 2010 14:20:06 +0200

psb-kernel-source (4.42.0-0ubuntu2~1010um1) maverick; urgency=low

  * Non-maintainer upload.
  * maverick commit

 -- Luca Forina <luca.forina@gmail.com>  Tue, 03 Oct 2010 14:20:06 +0200
 
